# -*- coding: utf-8 -*-

import numpy, math, matplotlib
from decimal import *
Precision = 100
getcontext().prec = Precision

# Définition de la fonction

def Fonction1(x):
    return Decimal(1+x-x**2/3)

def Fonction2(x):
    return Decimal(-x**2)+Decimal(13*x/7)-Decimal(9)/49

def Fonction3(x):
    return Decimal(x/2+3/(2*x))

# Définition du temps d'atteinte

Seuil = 5000

def TempsAtteinte (Fonction, x, k):
	if k > Precision :
		return 'Erreur : précision insuffisante.'
	u = Decimal(x)
	v = Fonction(u)
	for n in range(Seuil):
		if abs(v-u) < Decimal(10**(-k)):
			return n
		u = v
		v = Fonction(u)
	return 'Erreur : boucle trop longue.'

# On peut aussi utiliser une boucle while au lieu de la boucle for
# while abs(v-u) > Decimal(10**(-k)) and n < Seuil
# 	n = n+1
#	u = v
#	Fonction(u)


print(TempsAtteinte(Fonction1,3.1,90))
print(TempsAtteinte(Fonction2,1.4,90))
print(TempsAtteinte(Fonction3,3.1,90))
