# -*- coding: utf-8 -*-

import numpy, math, matplotlib.pyplot
from decimal import *
Precision = 100
getcontext().prec = Precision

# Définition de la fonction

def Fonction1(x):
    return Decimal(1+x-x**2/3)

def Fonction2(x):
    return Decimal(-x**2)+Decimal(13*x/7)-Decimal(9)/49

def Fonction3(x):
    return Decimal(x/2+3/(2*x))

# Obtention de la suite des précisions à partir de la fonction et de la condition intiale

Iteration = 100

def SuitePrecision (Fonction, x):
	Suite = [0 for n in range(Iteration)]
	u = Decimal(x)
	v = u
	for n in range(Iteration):
		v = Fonction(u)
		if u == v:
			Suite[n] = Precision
		else:
			Suite[n] = abs(math.log10(abs(v-u)))
		u = v
	return Suite
		
# Calcul des précisions

Range1 = [x for x in range(Iteration)]
Image1 = SuitePrecision(Fonction1, 3.1)
Image2 = SuitePrecision(Fonction2, 1.4)
Image3 = SuitePrecision(Fonction3, 3.1)


matplotlib.pyplot.clf()
Graph1 = matplotlib.pyplot.plot(Range1, Image1, 'r.')
Graph1 += matplotlib.pyplot.plot(Range1, Image2, 'b.')
Graph1 += matplotlib.pyplot.plot(Range1, Image3, 'g.')

matplotlib.pyplot.show()
