# -*- coding: utf-8 -*-

import numpy, math, matplotlib.pyplot
from decimal import *
Precision = 1010
getcontext().prec = Precision

# Définition de la fonction

def Fonction1(x):
    return Decimal(x/2+13/(2*x))

# Utilisation de la fonction de seuil pour le calcul de \sqrt(13)

Seuil = 5000

def EvaluationLimite (Fonction, x, k):
	if k > Precision :
		return 'Erreur : précision insuffisante.'
	u = Decimal(x)
	v = Fonction(u)
	for n in range(Seuil):
		if abs(v-u) <= Decimal(10**(-k)):
			return v
		u = v
		v = Fonction(u)
	return 'Erreur : boucle trop longue.'

print(EvaluationLimite(Fonction1, 3.1, 1000))
