# -*- coding: utf-8 -*-

import numpy, math, matplotlib.pyplot
from decimal import *
Precision = 110
getcontext().prec = Precision

# Définition de la fonction

def Fonction1(x):
    return (x**2*Decimal(math.exp(x))+1)/(Decimal(math.exp(x))*(x+1))

# Utilisation de la fonction de seuil pour le calcul de W(1)

Seuil = 5000

def EvaluationLimite (Fonction, x, k):
	if k > Precision :
		return 'Erreur : précision insuffisante.'
	u = Decimal(x)
	v = Fonction(u)
	for n in range(Seuil):
		if abs(v-u) <= Decimal(10**(-k)):
			return v
		u = v
		v = Fonction(u)
	return 'Erreur : boucle trop longue.'

print(EvaluationLimite(Fonction1, 3.1, 100))
