# -*- coding: utf-8 -*-

import numpy, math, matplotlib.pyplot
from decimal import *
Precision = 100
getcontext().prec = Precision


# Récurrence

Seuil = 10000

u = 2*Decimal(2).sqrt()
v = Decimal(4)

def CalculPi(u1, v1, Decimales):
	if Decimales > Precision:
		return 'Erreur : precision insuffisante.'
	x, y = u1, v1
	xTemp = x
	y = 2*x*y/(x+y)
	x = (x*y).sqrt()
	z = (4*x-xTemp)/3
	zTemp = 0
	Epsilon = Decimal(10)**(-Decimales)
	for n in range(1,Seuil+1):
		if abs(z-zTemp) <= Epsilon:
			return [n, str(z)]
		y = 2*x*y/(x+y)
		x = (x*y).sqrt()
		zTemp = z
		z = (4*x-xTemp)/3
		xTemp = x
	return 'Erreur : seuil trop bas.'

print(CalculPi(u,v,50))
