# -*- coding: utf-8 -*-

import numpy, math, matplotlib.pyplot

# Définition de la fonction

def Henon(x,y):
    return (1-1.4*x**2+y, 0.3*x)

# Construction de la suite

Iteration = 1000

u = numpy.random.uniform(-1.0,1.0)
v = numpy.random.uniform(-0.5,0.5)

def GraphHenon(u, v):
	x, y = u, v
	Range1 = [0 for n in range(Iteration-50+1)]
	Image1 = [0 for n in range(Iteration-50+1)]
	for n in range(50):	
		Liste = Henon(x,y)
		x = Liste[0]
		y = Liste[1]
	for n in range(Iteration-50+1):
		Range1[n] = x
		Image1[n] = y
		Liste = Henon(x,y)
		x = Liste[0]
		y = Liste[1]
	return [Range1, Image1]


matplotlib.pyplot.clf()
Graphe = GraphHenon(numpy.random.uniform(-1.0,1.0), numpy.random.uniform(-0.5,0.5))
Graph1 = matplotlib.pyplot.plot(Graphe[0], Graphe[1], 'k.')
Graphe = GraphHenon(numpy.random.uniform(-1.0,1.0), numpy.random.uniform(-0.5,0.5))
Graph1 += matplotlib.pyplot.plot(Graphe[0], Graphe[1], 'b.')
Graphe = GraphHenon(numpy.random.uniform(-1.0,1.0), numpy.random.uniform(-0.5,0.5))
Graph1 += matplotlib.pyplot.plot(Graphe[0], Graphe[1], 'r.')

matplotlib.pyplot.show()
