# -*- coding: utf-8 -*-

import numpy, math, matplotlib.pyplot

# Définition de la fonction

def FonctionLogistique(x):
    return 4*x*(1-x)

# Construction de la suite

Iteration = 10000
Sequence = [0 for n in range(Iteration+1)]
Sequence[0] = numpy.random.uniform(0.0, 1.0)
for n in range(Iteration):
	Sequence[n+1] = FonctionLogistique(Sequence[n])

matplotlib.pyplot.clf()
SequenceGraph1 = matplotlib.pyplot.hist(Sequence, bins=100, range=[0.0, 1.0], normed=True)
matplotlib.pyplot.show()
