# -*- coding: utf-8 -*-

import numpy, math, matplotlib.pyplot

# Définition de la fonction

def Fonction4(x):
    if 3*x**2-1 == 0:
        return 0
    return 2*x**3/(3*x**2-1)

# Construction de la suite

Iteration = 50
Range1 = [x for x in range(Iteration+1)]
Image1 = [0 for x in range(Iteration+1)]
Image2 = [0 for x in range(Iteration+1)]

u = 1/math.sqrt(5)-10.0**(-6)
Image1[0] = u
for n in range(1,Iteration+1):
    u = Fonction4(u)
    Image1[n] = u

u = 1/math.sqrt(5)+10.0**(-6)
Image2[0] = u
for n in range(1,Iteration+1):
    u = Fonction4(u)
    Image2[n] = u

matplotlib.pyplot.clf()
Graph1 = matplotlib.pyplot.plot(Range1, Image1, 'r.')
Graph1 = matplotlib.pyplot.plot(Range1, Image2, 'b.')

matplotlib.pyplot.show()
